MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029826Open CASCADE[OCCT] OCCT:Testspublic2018-05-31 08:222018-06-14 18:20
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformLinuxOSDebian 7.0OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029826: Tests - test case perf/fclasses/strtod is unstable
DescriptionTest case perf/fclasses/strtod has failed on Debian 7:
http://occt-tests/CR29825-master-KGV-OCCT/Debian70-64/perf/fclasses/strtod.html [^]
1M random values, 16 significant digits, in range (-1e9, 1e9)
QATestAtof 1000000 16 -1e9 1e9 
Checking sscanf: 0 deviations
Checking strtod: 0 deviations
Checking atof: 0 deviations
Checking Strtod: 0 deviations
Checking Atof: 0 deviations
Total 0 defiations from strtod() found
Method	      CPU	  Elapsed   	    Deviations 	Checksum
sscanf	0.26999999999999957  	0.265153999999999	0	-21036232972.600021
strtod	0.14000000000000057  	0.14012600000000042	0	-21036232972.600021
atof	0.13999999999999879  	0.14169199999999904	0	-21036232972.600021
Strtod	0.060000000000000497  	0.064737999999998408	0	-21036232972.600021
Atof	0.070000000000000284  	0.06453300000000084	0	-21036232972.600021

Error: Atof() is expected to be at least 2 times better than atof()!

As you may see, the difference is just a little bit smaller than 2 times.
Observed while testing 0029825 - it does not look like a (C++) patch itself could affect the performance of this test case.

The same test in case when it passes on Debian 7:
1M random values, 16 significant digits, in range (-1e9, 1e9)
QATestAtof 1000000 16 -1e9 1e9 
Checking sscanf: 0 deviations
Checking strtod: 0 deviations
Checking atof: 0 deviations
Checking Strtod: 0 deviations
Checking Atof: 0 deviations
Total 0 defiations from strtod() found
Method	      CPU	  Elapsed   	    Deviations 	Checksum
sscanf	0.30000000000000071  	0.2917519999999989	0	-21036232972.600021
strtod	0.14999999999999858  	0.15291399999999911	0	-21036232972.600021
atof	0.15000000000000213  	0.15175999999999945	0	-21036232972.600021
Strtod	0.069999999999996732  	0.069075000000001552	0	-21036232972.600021
Atof	0.070000000000000284  	0.069751000000000118	0	-21036232972.600021
Steps To Reproducetest perf fclasses strtod
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0029825verifiedbugmaster Foundation Classes, NCollection_Vec4 - workaround gcc optimizer issues with xyz() method 

-  Notes
(0076622)
git (administrator)
2018-06-05 16:38

Branch CR29826 has been created by abv.

SHA-1: 77b71380bb59db2f5787ffc8b18a9f3b794fb6f8


Detailed log of new commits:

Author: abv
Date: Tue Jun 5 16:38:45 2018 +0300

    0029826: Tests - test case perf/fclasses/strtod is unstable
    
    Check of performance of accelerated Strtod() vs. standard strtod() in the test is relaxed: now test passes if Strtod() is at least 1.5 times faster
(0076623)
abv (manager)
2018-06-05 16:39

Corrected (required speed ratio is decreased from 2 to 1.5), please review
(0076624)
kgv (developer)
2018-06-05 16:43

OK, please take the patch.

- Related Changesets
occt: master 4e73d75b
Timestamp: 2018-06-05 13:38:45
Author: abv
Committer: bugmaster
Details ] Diff ]
0029826: Tests - test case perf/fclasses/strtod is unstable

Check of performance of accelerated Strtod() vs. standard strtod() in the test is relaxed: now test passes if Strtod() is at least 1.5 times faster
mod - tests/perf/fclasses/strtod Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-31 08:22 kgv New Issue
2018-05-31 08:22 kgv Assigned To => abv
2018-05-31 08:22 kgv Description Updated View Revisions
2018-05-31 08:23 kgv OS Debian 6.0 => Debian 7.0
2018-05-31 08:24 kgv Relationship added related to 0029825
2018-06-05 16:38 git Note Added: 0076622
2018-06-05 16:39 abv Note Added: 0076623
2018-06-05 16:39 abv Assigned To abv => kgv
2018-06-05 16:39 abv Status new => resolved
2018-06-05 16:39 abv Steps to Reproduce Updated View Revisions
2018-06-05 16:43 kgv Note Added: 0076624
2018-06-05 16:43 kgv Assigned To kgv => bugmaster
2018-06-05 16:43 kgv Status resolved => reviewed
2018-06-06 12:12 bugmaster Status reviewed => tested
2018-06-14 18:20 bugmaster Changeset attached => occt master 4e73d75b
2018-06-14 18:20 bugmaster Status tested => verified
2018-06-14 18:20 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker